> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video task status

> OpenAI compatible video task status query API.

Returns detailed status information for the video task.



## OpenAPI

````yaml api-reference/en/openapi.json GET /v1/videos/{task_id}
openapi: 3.0.0
info:
  title: Overseas Expansion Camp API Reference Documentation
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI format (Chat)
  - name: OpenAI Format (Responses)
  - name: Gemini Format for Image Generation
  - name: Image generationOpenAI DALL-E format
  - name: List models
  - name: Video generationHappyHorse and Wan
  - name: Video generation Kling format
  - name: Video generation Omni and Veo formats
  - name: Video generation Seedance
  - name: Video generation Sora compatible formats
  - name: Video generation Vidu
  - name: Music generation task format
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - Video generation Sora compatible formats
      summary: Get video task status
      description: |-
        OpenAI compatible video task status query API.

        Returns detailed status information for the video task.
      operationId: getVideo
      parameters:
        - name: task_id
          in: path
          description: Video task ID
          required: true
          example: sora-2-123456
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved video task status
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  created_at:
                    type: integer
                  seconds:
                    type: string
                  video_url:
                    type: string
                    format: uri
                    description: >-
                      Video result URL. Different models may return either
                      `video_url` or `url`.
                  url:
                    type: string
                    format: uri
                    description: >-
                      Video result URL. Different models may return either `url`
                      or `video_url`.
                  completed_at:
                    type: integer
                    description: Completion time (Unix seconds).
                  expires_at:
                    type: integer
                    description: Result expiration time (Unix seconds).
                  error:
                    type: object
                    description: Error message returned when the request fails.
                  metadata:
                    type: object
                    description: Additional metadata.
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
              example:
                id: sora-2-123456
                object: video
                model: sora-2
                status: queued
                progress: 0
                created_at: 1764347090922
                seconds: '8'
          headers: {}
        '404':
          description: Task does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: Error message
            type:
              type: string
              description: Error Type
            param:
              type: string
              description: Related Parameters
              nullable: true
            code:
              type: string
              description: Error Codes
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication.
        Format: `Authorization: Bearer sk-xxxxxx`

````